Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server Support for Apache Beehive

## com.bea.control
Class ServiceControlChecker

    java.lang.Object
      com.bea.control.ServiceControlChecker

All Implemented Interfaces:
  org.apache.beehive.controls.api.bean.ControlChecker

public class ServiceControlChecker
extends Object
implements org.apache.beehive.controls.api.bean.ControlChecker

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ServiceControlChecker()`

Method Summary
`void` | `check(com.sun.mirror.declaration.Declaration decl, com.sun.mirror.apt.AnnotationProcessorEnvironment env)`
`void` | `checkAsField(com.sun.mirror.declaration.FieldDeclaration fd, com.sun.mirror.apt.AnnotationProcessorEnvironment env)`
`void` | `checkAsType(com.sun.mirror.declaration.TypeDeclaration td, com.sun.mirror.apt.AnnotationProcessorEnvironment env)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceControlChecker

    public ServiceControlChecker()

Method Detail

### check

    public void check(com.sun.mirror.declaration.Declaration decl,
                      com.sun.mirror.apt.AnnotationProcessorEnvironment env)

  Specified by:
    `check` in interface `org.apache.beehive.controls.api.bean.ControlChecker`

### checkAsField

    public void checkAsField(com.sun.mirror.declaration.FieldDeclaration fd,
                             com.sun.mirror.apt.AnnotationProcessorEnvironment env)

### checkAsType

    public void checkAsType(com.sun.mirror.declaration.TypeDeclaration td,
                            com.sun.mirror.apt.AnnotationProcessorEnvironment env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD